| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Protected Member Functions | Properties | Private Member Functions | Private Attributes | List of all members
IG.Forms.ScalarFunctionEvaluatorWindow Class Reference

Control for test evaluation of scalar functions. More...

Inheritance diagram for IG.Forms.ScalarFunctionEvaluatorWindow:
[legend]
Collaboration diagram for IG.Forms.ScalarFunctionEvaluatorWindow:
[legend]

## Public Member Functions
| ScalarFunctionEvaluatorWindow ()
| ScalarFunctionEvaluatorWindow (IScalarFunction function, string[] parameterNames, double[] parameterValues)
| Constructs the control, with starting data specified. More...

## Protected Member Functions
override void | Dispose (bool disposing)
| Clean up any resources being used. More...

## Properties
IScalarFunction | Function`[get, set]`
| Scalar function that is evaluated by the current control. More...
string[] | ParameterNames`[get, set]`
double[] | ParameterValues`[get, set]`
int | NumParameters`[get, set]`

## Private Member Functions
void | InitializeComponent ()
| Required method for Designer support - do not modify the contents of this method with the code editor. More...

## Private Attributes
System.ComponentModel.IContainer | components = null
| Required designer variable. More...
ScalarFunctionEvaluatorControl | scalarFunctionEvaluatorControl1

## Detailed Description

Control for test evaluation of scalar functions.

User can define input parameter values and evaluate the function at those parameters.

$A Igor Jul14;

## Constructor & Destructor Documentation

IG.Forms.ScalarFunctionEvaluatorWindow.ScalarFunctionEvaluatorWindow | ( |  | ) |
| inline

IG.Forms.ScalarFunctionEvaluatorWindow.ScalarFunctionEvaluatorWindow | ( | IScalarFunction | function,
|  | string[] | parameterNames,
|  | double[] | parameterValues
| ) |  |
| inline

Constructs the control, with starting data specified.

Parameters

  function | Scalar function.

## Member Function Documentation

override void IG.Forms.ScalarFunctionEvaluatorWindow.Dispose | ( | bool | disposing | ) |
| inline protected

Clean up any resources being used.

Parameters

  disposing | true if managed resources should be disposed; otherwise, false.

void IG.Forms.ScalarFunctionEvaluatorWindow.InitializeComponent | ( |  | ) |
| inline private

Required method for Designer support - do not modify the contents of this method with the code editor.

## Member Data Documentation

System.ComponentModel.IContainer IG.Forms.ScalarFunctionEvaluatorWindow.components = null
| private

Required designer variable.

ScalarFunctionEvaluatorControl IG.Forms.ScalarFunctionEvaluatorWindow.scalarFunctionEvaluatorControl1
| private

## Property Documentation

IScalarFunction IG.Forms.ScalarFunctionEvaluatorWindow.Function
| get set

Scalar function that is evaluated by the current control.

string [] IG.Forms.ScalarFunctionEvaluatorWindow.ParameterNames
| get set

double [] IG.Forms.ScalarFunctionEvaluatorWindow.ParameterValues
| get set

int IG.Forms.ScalarFunctionEvaluatorWindow.NumParameters
| get set

The documentation for this class was generated from the following files:

- igforms/Numeric/Functions/Develop/ScalarFunctionEvaluatorWindow.cs
- igforms/Numeric/Functions/Develop/ScalarFunctionEvaluatorWindow.Designer.cs